Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class General

    java.lang.Object
      org.deegree.portal.context.General

    public class General

extends Object

The class encapsulates the general informations common to all types of contexts

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`General(String title, String abstract_, Rectangle window, CitedResponsibleParty contactInformation, Point[] boundingBox, BaseURL descriptionURL, ImageURL logoURL, String[] keywords, GeneralExtension extension)` Creates a new General object.

Method Summary
`String` | `getAbstract()`
`Point[]` | `getBoundingBox()`
`CitedResponsibleParty` | `getContactInformation()`
`BaseURL` | `getDescriptionURL()`
`GeneralExtension` | `getExtension()`
`String[]` | `getKeywords()`
`ImageURL` | `getLogoURL()`
`String` | `getTitle()`
`Rectangle` | `getWindow()`
`void` | `setAbstract(String abstract_)` An element Abstract that contains a description for the Context document describing its content.
`void` | `setBoundingBox(Envelope boundingBox)` BoundingBox formatted as defined in the WMS 1.1.1 Specification.
`void` | `setBoundingBox(Point[] boundingBox)` BoundingBox formatted as defined in the WMS 1.1.1 Specification.
`void` | `setContactInformation(CitedResponsibleParty contactInformation)` An element ContactInformation that presents contact information of the creator of the Context document.
`void` | `setDescriptionURL(BaseURL descriptionURL)` A URL reference to a webpage which contains relevant information to the view.
`void` | `setExtension(GeneralExtension extension)` The Extension element is a container tag in which arbitrary vendor specific information can be included without compromising the ability of other clients to enforce schema validation.
`void` | `setKeywords(String[] keywords)` An element KeywordList that contains one or more Keyword elements which allow search across context collections.
`void` | `setLogoURL(ImageURL logoURL)` A reference to an image that might be attached to the Context document.
`void` | `setTitle(String title)` An element Title that contains a human readable title of the Context.
`void` | `setWindow(Rectangle window)` An element Window presenting the size in pixels of the map the Context document describes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### General

    public General(String title,
                   String abstract_,
                   Rectangle window,
                   CitedResponsibleParty contactInformation,
                   Point[] boundingBox,
                   BaseURL descriptionURL,
                   ImageURL logoURL,
                   String[] keywords,
                   GeneralExtension extension)
            throws ContextException

  Creates a new General object.

  Parameters:
    `title` - title of the context
    `abstract_` - short description
    `window` -
    `contactInformation` - informations about creator of the context
    `boundingBox` - bounding box of the map/data
    `descriptionURL` - reference to a webpage which contains relevant information to the view.
    `logoURL` - A reference to an image that might be attached to the context document.
    `keywords` -
    `extension` - The Extension element is a container tag in which arbitrary vendor specific information can be included without compromising the ability of other clients to enforce schema validation.
  Throws:
    `ContextException`

Method Detail

### setWindow

    public void setWindow(Rectangle window)

  An element Window presenting the size in pixels of the map the Context document describes. Negotiation between Context defined aspect ratio and typical client aspect ratio (according to the client's vendor) is left to the client.

  Parameters:
    `window` -

### setBoundingBox

    public void setBoundingBox(Point[] boundingBox)
                        throws ContextException

  BoundingBox formatted as defined in the WMS 1.1.1 Specification. It represents the geographic extent that should be presented by the client1.

  Parameters:
    `boundingBox` -
  Throws:
    `ContextException` - if the bbox is `null`

### setBoundingBox

    public void setBoundingBox(Envelope boundingBox)
                        throws ContextException

  BoundingBox formatted as defined in the WMS 1.1.1 Specification. It represents the geographic extent that should be presented by the client1.

  Parameters:
    `boundingBox` -
  Throws:
    `ContextException` - if the bbox is `null`

### setKeywords

    public void setKeywords(String[] keywords)

  An element KeywordList that contains one or more Keyword elements which allow search across context collections.

  Parameters:
    `keywords` -

### setTitle

    public void setTitle(String title)
                  throws ContextException

  An element Title that contains a human readable title of the Context.

  Parameters:
    `title` -
  Throws:
    `ContextException` - if the title is `null`

### setAbstract

    public void setAbstract(String abstract_)

  An element Abstract that contains a description for the Context document describing its content.

  Parameters:
    `abstract_` -

### setLogoURL

    public void setLogoURL(ImageURL logoURL)

  A reference to an image that might be attached to the Context document. It can be, for instance, the logo of the project for which the context has been setup, or an overview of the map the context describes. This element contains a link to the image as well as the dimension of the image (in pixels) and its format.

  Parameters:
    `logoURL` -

### setDescriptionURL

    public void setDescriptionURL(BaseURL descriptionURL)

  A URL reference to a webpage which contains relevant information to the view.

  Parameters:
    `descriptionURL` -

### setContactInformation

    public void setContactInformation(CitedResponsibleParty contactInformation)

  An element ContactInformation that presents contact information of the creator of the Context document. Contact is described as defined in WMS 1.1.1 Specification.

  Parameters:
    `contactInformation` -

### setExtension

    public void setExtension(GeneralExtension extension)

  The Extension element is a container tag in which arbitrary vendor specific information can be included without compromising the ability of other clients to enforce schema validation.

  This tag should not be used to introduce new candidate elements that are intended to promote interoperability. Content in an element should not be expected to be preserved in transfers of ViewContext documents between different systems.

  Parameters:
    `extension` -

### getWindow

    public Rectangle getWindow()

  Returns:
    the window

### getBoundingBox

    public Point[] getBoundingBox()

  Returns:
    the boundingbox

### getKeywords

    public String[] getKeywords()

  Returns:
    the keywords

### getTitle

    public String getTitle()

  Returns:
    the titles

### getAbstract

    public String getAbstract()

  Returns:
    the abstract

### getLogoURL

    public ImageURL getLogoURL()

  Returns:
    the url to the logo

### getDescriptionURL

    public BaseURL getDescriptionURL()

  Returns:
    the url to the description

### getContactInformation

    public CitedResponsibleParty getContactInformation()

  Returns:
    the contactinformation

### getExtension

    public GeneralExtension getExtension()

  Returns:
    the extension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org